Subject: bug#69882: ghc-profunctors-5.6.2 substitute is a 0 byte so file

From: SkeletonAdventure <[email-masked]>
Date: Mon, 18 Mar 2024 22:30:15 +0000

When attempting to build a package dependent on ghc-profunctors, I get this message:

/gnu/store/3x7nzknpil5zrq13pnswvn5c4yl1cwj4-ghc-profunctors-5.6.2/lib/x86_64-linux-ghc-9.2.5/libHSprofunctors-5.6.2-FoCtSorI5di3GxmpY9TPlQ-ghc9.2.5.so: file too short

I get the following doing ls on the file

$ ls -l /gnu/store/3x7nzknpil5zrq13pnswvn5c4yl1cwj4-ghc-profunctors-5.6.2/lib/x86_64-linux-ghc-9.2.5/libHSprofunctors-5.6.2-FoCtSorI5di3GxmpY9TPlQ-ghc9.2.5.so
-r-xr-xr-x 1 root root 0 Dec 31 1969 /gnu/store/3x7nzknpil5zrq13pnswvn5c4yl1cwj4-ghc-profunctors-5.6.2/lib/x86_64-linux-ghc-9.2.5/libHSprofunctors-5.6.2-FoCtSorI5di3GxmpY9TPlQ-ghc9.2.5.so

I have fixed this problem in the past by using guix gc to delete everything dependent on ghc-profunctors, then ghc-profunctors itself. After that I reinstalled the deleted items with substitutes off and it was no longer a 0 byte file. Following a system and home reconfigure using substitutes the ghc-profunctors .so is a 0 byte file again. It took me awhile to notice this time around so now it would be too difficult to perform my initial fix again since I've gone through several generations with this bad file.

If there is a way to force this one package to rebuild without substitutes, or other work-arounds I would love to hear them, but more than that I'd be interested in a fix if this is a problem I think originates with the substitute. Thanks.